(function (ng) {

    /**
     * @ngdoc object
     * @module apeman-ui-contrib-angular-confirming
     * @name apConfirmingTmplConst
     * @description
     * Constant for template.
     */
    "use strict";

    ng
        .module('apeman-ui-contrib-angular-confirming')
        .constant('apConfirmingTmplConst',
        {
		    "templates/ap-confirm.html": "<ap:dialog class=\"ap-confirm\">\n    <h4 class=\"ap-confirm-title\" ng:if=\"title\">{{title}}</h4>\n\n    <p class=\"ap-confirm-target\" ng:if=\"target\">{{target}}</p>\n\n    <p class=\"ap-confirm-lead\" ng:if=\"lead\">{{lead}}</p>\n\n\n    <div class=\"ap-confirm-action\">\n        <a class=\"ap-confirm-button\" ap:tap=\"cancel({$event:$event})\" ng:if=\"cancelText\">{{cancelText}}</a>\n        <a class=\"ap-confirm-button\" ap:tap=\"submit({$event:$event})\">{{submitText}}</a>\n    </div>\n</ap:dialog>"
		}
        );

})(angular);