#!/usr/bin/env node

/**
 * Release this package.
 */

"use strict";

process.chdir(__dirname + '/..');

var tasking = require('apeman-dev-commons-tasking'),
    releasing = require('apeman-dev-commons-releasing');

tasking.runTasks('release', [
    function (callback) {
        releasing.release([
            "./ci/build.js",
            "./ci/test.js",
            "./ci/cover.js",
            "git_tag",
            "npm_publish",
            "version_up",
            "git_push"
        ], callback);
    }
], true);

