(function (ng) {

    ng
        .module('demo-app', [
            'apeman-ui-contrib-angular-timing',
            'apeman-ui-contrib-angular-confirming'
        ])
        .run(function ($rootScope, pkg) {
            $rootScope.pkg = pkg;
        })
        .controller('DemoIndexCtrl', function ($scope, apTime) {
            $scope.title = 'This is title';
            $scope.target = 'This is target';
            $scope.lead = 'This is lead';
            $scope.submitText = 'Accept';
            $scope.cancelText = 'Cancel';

            $scope.msg = '';
            $scope.submit = function () {
                $scope.msg = 'submit pressed!';
            };
            $scope.cancel = function () {
                $scope.msg = 'cancel pressed!';
            };

            $scope.$watch('msg', function (msg) {
                if (msg) {
                    apTime.reserve(function () {
                        $scope.msg = null;
                    }, 1000);
                }
            });
        });

})(angular);