(function (ng, $) {

    /**
     * @ngdoc directive
     * @module apeman-ui-contrib-angular-confirming
     * @restrict E
     */

    "use strict";

    ng
        .module('apeman-ui-contrib-angular-confirming')
        .directive('apConfirm', function (apAssert,
                                          apConfirmingTmplConst) {
            return {
                restrict: 'E',
                scope: {
                    'title': '=apConfirmTitle',
                    'target': '=apConfirmTarget',
                    'lead': '=apConfirmLead',
                    'submitText': '=apConfirmSubmitText',
                    'submit': '&apConfirmSubmit',
                    'cancelText': '=apConfirmCancelText',
                    'cancel': '&apConfirmCancel'
                },
                link: function (scope, elm) {
                    var $elm = $(elm);
                    $elm.addClass('ap-confirm');
                },
                template:apConfirmingTmplConst['templates/ap-confirm.html']
            }
        });

})(angular, jQuery);