#!/usr/bin/env node

/**
 * Send coverage to codeclimate
 */

"use strict";

process.chdir(__dirname + '/..');

var reporting = require('apeman-dev-commons-reporting'),
    tasking = require('apeman-dev-commons-tasking');

tasking.runTasks('report', [
    function (callback) {
        reporting.reportCodeclimate({
            'lcov':'coverage/lcov.info'
        }, callback);
    }
], true);
