(function (ng) {
    /**
     * @ngdoc module
     * @module apeman-ui-contrib-angular-dialoging
     * @name apeman-ui-contrib-angular-dialoging
     * @description
     * apeman ui module for angular to work with dialog.
     */

    "use strict";

    ng
        .module('apeman-ui-contrib-angular-dialoging', [
        ]);
})(angular);

(function (ng, $) {

    /**
     * @ngdoc directive
     * @module apeman-ui-contrib-angular-dialoging
     * @name apDialogContainer
     * @description Dialog element.
     * @restrict E
     */

    "use strict";


    ng
        .module('apeman-ui-contrib-angular-dialoging')
        .directive('apDialogContainer', function () {
            return {
                restrict: 'E',
                link: function (scope, elm) {
                    var $elm = $(elm);
                    $elm.addClass('ap-dialog-container');
                }
            }
        });


})(angular, jQuery);

(function (ng, $) {

    /**
     * @ngdoc directive
     * @module apeman-ui-contrib-angular-dialoging
     * @name apDialog
     * @description Dialog element.
     * @restrict E
     */

    "use strict";


    ng
        .module('apeman-ui-contrib-angular-dialoging')
        .directive('apDialog', function () {
            return {
                restrict: 'E',
                link: function (scope, elm) {
                    var $elm = $(elm);
                    $elm.addClass('ap-dialog');
                }
            }
        });


})(angular, jQuery);

